Search Companies

Nested-filter alternative to /discover/companies with a paginated cursor envelope.

Endpoint

POST /api/v1/search/companies

Authentication

All requests require the X-Satellyte-API-Key header. See Quickstart.

Request body

Top-level fields:

FieldTypeRequiredNotes
industrystringNoFlat compatibility field; same as /discover/companies.industry.
employee_sizestringNoFlat compatibility field.
locationstringNoFlat compatibility field.
keywordsstring[]NoFlat compatibility field.
companyobjectNoNested company filters (see below).
max_resultsnumberNo1 to 100. Defaults to 100.
cursorstringNoPagination cursor from the previous response.

Nested company object:

FieldTypeNotes
company.industry.includestring[]Industries to include.
company.industry.excludestring[]Industries to exclude (best-effort).
company.employee_rangestring[]Size buckets.
company.hq.country_codestring[]ISO codes or WORLD.
company.keywords.includestring[]Keyword include filter.

cURL

curl -i -X POST "https://api-staging.satellyte.ai/api/v1/search/companies" \
  -H "X-Satellyte-API-Key: $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "company": {
      "industry": { "include": ["banking"] },
      "hq": { "country_code": ["SG", "US"] }
    },
    "max_results": 3
  }'

Response (200)

{
  "data": {
    "items": [
      {
        "id": "https://www.linkedin.com/company/itau",
        "name": "Itaú Unibanco",
        "domain": "itau.com.br",
        "website": "https://www.itau.com.br",
        "industry": "Banking",
        "location": "Sao Paulo, Brazil",
        "employee_size": null,
        "employee_count": null
      }
    ],
    "pagination": { "cursor": null, "next_cursor": null, "has_more": false }
  }
}

Response fields

FieldTypeNotes
items[]object[]Same shape as /discover/companies items.
pagination.cursorstring | nullThe cursor that produced this page.
pagination.next_cursorstring | nullSend back as cursor to fetch next page.
pagination.has_morebooleanWhether more results exist.